<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Matrix.hh File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_matrix_8hh.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Matrix.hh File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;cmath&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="_vector_8hh_source.html">Vector.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Matrix.hh:</div>
<div class="dyncontent">
<div class="center"><img src="_matrix_8hh__incl.png" border="0" usemap="#_matrix_8hh" alt=""/></div>
<map name="_matrix_8hh" id="_matrix_8hh">
<area shape="rect" title=" " alt="" coords="64,5,148,32"/>
<area shape="rect" title=" " alt="" coords="5,80,68,107"/>
<area shape="rect" title=" " alt="" coords="105,155,185,181"/>
<area shape="rect" href="_vector_8hh.html" title=" " alt="" coords="143,80,226,107"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_matrix_8hh__dep__incl.png" border="0" usemap="#_matrix_8hhdep" alt=""/></div>
<map name="_matrix_8hhdep" id="_matrix_8hhdep">
<area shape="rect" title=" " alt="" coords="467,5,551,32"/>
<area shape="rect" href="shape_8hh.html" title=" " alt="" coords="403,80,485,107"/>
<area shape="rect" href="rotation_matrix_8hh.html" title=" " alt="" coords="574,80,709,107"/>
<area shape="rect" href="bottom_surface_8hh.html" title=" " alt="" coords="269,155,408,181"/>
<area shape="rect" href="cuboid_8hh.html" title=" " alt="" coords="560,155,645,181"/>
<area shape="rect" href="obstacles_8hh.html" title=" " alt="" coords="432,155,536,181"/>
<area shape="rect" href="water_surface_8hh.html" title=" " alt="" coords="5,155,133,181"/>
<area shape="rect" href="shape_8cpp.html" title=" " alt="" coords="157,155,245,181"/>
<area shape="rect" href="scene_8hh.html" title=" " alt="" coords="299,304,379,331"/>
<area shape="rect" href="bottom_surface_8cpp.html" title=" " alt="" coords="266,229,411,256"/>
<area shape="rect" href="main_8cpp.html" title=" " alt="" coords="243,379,325,405"/>
<area shape="rect" href="scene_8cpp.html" title=" " alt="" coords="350,379,437,405"/>
<area shape="rect" href="drone_8hh.html" title=" " alt="" coords="738,229,817,256"/>
<area shape="rect" href="cuboid_8cpp.html" title=" " alt="" coords="622,229,714,256"/>
<area shape="rect" href="drone_8cpp.html" title=" " alt="" coords="734,304,821,331"/>
<area shape="rect" href="obstacles_8cpp.html" title=" " alt="" coords="487,229,598,256"/>
<area shape="rect" href="water_surface_8cpp.html" title=" " alt="" coords="55,229,190,256"/>
<area shape="rect" href="rotation_matrix_8cpp.html" title=" " alt="" coords="670,155,813,181"/>
</map>
</div>
</div>
<p><a href="_matrix_8hh_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_matrix.html">Matrix&lt; T, SIZE &gt;</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Szablon dla klasy <a class="el" href="class_matrix.html" title="Szablon dla klasy Matrix.">Matrix</a>.  <a href="class_matrix.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:af58002b74adf2bdf4ee57cffba15ff6f"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:af58002b74adf2bdf4ee57cffba15ff6f"><td class="memTemplItemLeft" align="right" valign="top">std::istream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="_matrix_8hh.html#af58002b74adf2bdf4ee57cffba15ff6f">operator&gt;&gt;</a> (std::istream &amp;strm, <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;matrix)</td></tr>
<tr class="separator:af58002b74adf2bdf4ee57cffba15ff6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a329c19028ad74b9c0a93102cfecfe445"><td class="memTemplParams" colspan="2">template&lt;typename T , int SIZE&gt; </td></tr>
<tr class="memitem:a329c19028ad74b9c0a93102cfecfe445"><td class="memTemplItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="_matrix_8hh.html#a329c19028ad74b9c0a93102cfecfe445">operator&lt;&lt;</a> (std::ostream &amp;strm, const <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;matrix)</td></tr>
<tr class="separator:a329c19028ad74b9c0a93102cfecfe445"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a952eac791b596a61bba0a133a3bb439f"><td class="memItemLeft" align="right" valign="top">const double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_matrix_8hh.html#a952eac791b596a61bba0a133a3bb439f">PI</a> = 3.14159265</td></tr>
<tr class="separator:a952eac791b596a61bba0a133a3bb439f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a329c19028ad74b9c0a93102cfecfe445"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a329c19028ad74b9c0a93102cfecfe445">&#9670;&nbsp;</a></span>operator&lt;&lt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::ostream &amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>matrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przsunieecia bitowego do wypisywania macierzy </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wyjsciowy </td></tr>
    <tr><td class="paramname">matrix</td><td>- tablica z ktorej bedziemy wypisywac wartosci </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- strumien wyjsciowy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00232">232</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<a id="af58002b74adf2bdf4ee57cffba15ff6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af58002b74adf2bdf4ee57cffba15ff6f">&#9670;&nbsp;</a></span>operator&gt;&gt;()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T , int SIZE&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">std::istream &amp; operator&gt;&gt; </td>
          <td>(</td>
          <td class="paramtype">std::istream &amp;&#160;</td>
          <td class="paramname"><em>strm</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_matrix.html">Matrix</a>&lt; T, SIZE &gt; &amp;&#160;</td>
          <td class="paramname"><em>matrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Przeciazenie operatora przsunieecia bitowego do wczytywania macierzy </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">strm</td><td>- strumien wejsciowy </td></tr>
    <tr><td class="paramname">matrix</td><td>- tablica w ktorej zostana zapisane wartosci </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>- strumien wejsciowy </dd></dl>

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00221">221</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a952eac791b596a61bba0a133a3bb439f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a952eac791b596a61bba0a133a3bb439f">&#9670;&nbsp;</a></span>PI</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double PI = 3.14159265</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_matrix_8hh_source.html#l00008">8</a> of file <a class="el" href="_matrix_8hh_source.html">Matrix.hh</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="_matrix_8hh.html">Matrix.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
